<?php
require_once("../../includes/bootstrap.php");
$sesion = new sesion();
//---------------
cache();
//-----------------
$sesion->set('permiso', permisos($_POST['privilegio']));

$academia = bootstrap::initBd($sesion->getVar("anio"));
?>
<link rel="stylesheet" href="css/ui.multiselect.css">
<script src="js/ui.multiselect.js"></script>

<script type="text/javascript">
    $(function() {
        $("#pnCnfRep").panel();
        $("#cbOrden").multiselect({
            minWidth: 100,
            header: "Seleccione los criterios de ordenación",
            locale: {
                addAll: 'Añadir todo',
                removeAll: 'Remove all',
                itemsCount: 'items selected'
            }
        });
        $("#btnexportarxls").button({
            icons: {
                primary: "ui-icon-xls"
            },
        }).on("click", function() {
            var per=$("#txt_perini").val(),nro_est=$("#nro_est").val(), ord= $("#cbOrden").val();
            if(!ord){
                jAlert("Escoja al menos un criterio de ordenación",dtsLang.project.empresa);
                return false;
            }
            var datos = "per="+per+"&nro_est="+nro_est+"&ord="+ord.join("|");
            window.open('mod_reportes/mod_mej_peo_grupo/export_mej_peo_grup_xls.php?' + datos, '', 'width=800,height=550,menubar=0,scrollbars=yes');
        });
    })
</script>


<div id="pnCnfRep" class="easyui-panel" title="Generar reporte de los mejores estudiantes a nivel de grupo"   
     style="width:auto;height:350px;padding:1px 8px;background:#fafafa;"  
     data-options="iconCls:'ui-icon-configure',closable:false,  
     collapsible:false,minimizable:false,maximizable:false">
    <table align="center"  cellspacing="5">
        <thead>
            <tr>
                <td><b>Periodo</b></td>
                <td>
                    <select name="txt_perini" id="txt_perini" class="campos" >
                        <?php
                        $sql = "SELECT MAX(num_evaluaciones) AS n_per FROM aca_asignaturasxgrupos";
                        $academia->instruccion($sql);
                        $r = $academia->extraer_registro();
                        $nper = $r['n_per'];
                        for ($i = 1; $i <= $nper; $i++) {
                            echo '<option value="' . $i . '">' . $i . '</option>';
                        }
                        ?>
                    </select>
                </td>
            </tr>
        </thead>
        <tr>
            <td>
                <b>N° estudiantes por grupo</b>
            </td>
            <td>
                <select name="nro_est" id="nro_est"  class="campos">
                    <?php
                    echo '<option value="100">Todos</option>';
                    for ($i = 1; $i <= 15; $i++) {
                        echo '<option value="' . $i . '">' . $i . '</option>';
                    }
                    ?>
                </select>
            </td>
        </tr>
<!--        <tr>
            <td><b>Mejores o peores</b></td>
            <td></td>
        </tr>-->
        <tr>
            <td colspan="2">
                <div><b>Arrastre de derecha a izquierda los campos por los cuales desea ordenar el reporte</b></div>
                <select id="cbOrden" class="multiselect" multiple="multiple" name="orden[]"  style="height:170px; width:500px">
                    <option value="0">Grupo</option>
                    <option value="1">Sede</option>
                    <option value="2">Jornada</option>
                    <option value="3">Promedio</option>
                </select>
            </td>
        </tr>
        <tr>
            <td align="center" colspan="2">
                <button id="btnexportarxls">Exportar</button>
            </td>
        </tr>
    </table>
</div>